DevKit *Dongle Emulator (Dongle Crack) for Sentinel SuperPro*

DevKit *Dongle Emulator (Dongle Crack) for Sentinel SuperPro* DevKit Overview

The DevKit is a toolkit that makes it easy to build and use native C/C++ extensions such as RDiscount and RedCloth for Ruby on Windows.

Simply download, double-click, choose an installation directory, run the Ruby install helper script, possibly tweak a config.yml file for your system specifics, and you’re ready to start using native Ruby extensions.
DevKit Background

One of the challenges many Ruby on Windows users have is how to easily use native RubyGems from the community such as the rdiscount or curb gems. In many cases this isn’t a problem because the extension author has provided a binary gem compatible with the users Ruby environment. In other cases, only the extension source code is available in the gem and the user is expected to have a “sane” environment installed and configured in order to build and use the native gem. A “sane” environment typically means a system with make, gcc, sh and similar *nix build tools installed.

This expectation of a “sane” build environment is not always true for Windows users and is the primary reason why the DevKit was created. The DevKit, based upon MSYS and MinGW components, is an easy-to-install and easy-to-use solution for quickly setting up a “sane” build environment, enabling you to use most native RubyGems developed by the Ruby community.

We use the DevKit internally for the RubyInstaller project. The DevKit is used to build MRI Ruby and the required dependencies needed to deliver the RubyInstaller for Windows. Many community members also use the DevKit as their “foundation” toolkit for building other native software.

The DevKit is currently available for download as a self-extracting archive and a Windows installer is in development.

* Window XP or greater (32 or 64-bit).
* A Ruby installation from RubyInstaller. This is important as it will not work with any other version of Ruby (e.g. old One-Click)
* [optional] For RubyInstaller’s previous to 1.9.2-p0 you may feel more comfortable using the DevKit-3.4.5-CCYYMMDD-sfx.exe as the earlier RubyInstallers were built using MSys/MinGW v3.4.5. Currently no issues have been reported when the 4.5.0 DevKit is used with previous RubyInstaller versions.

Related news:

DSpace *Dongle Emulator (Dongle Crack) for WIBU WibuKey*

BrowserHawk 9.0 Enterprise Edition Full Latest Version

Classic X-Tools (c) Blue River Software GmbH *Dongle Emulator (Dongle Crack) for Aladdin Hardlock*

Programs in your cart: